Skip to main content

Get all listings

GEThttps://api.propexo.com/v1/listings/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external listing id

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

unit_id string

The Propexo unique identifier for the unit

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo integration id

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The integration vendor for the listing.

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the listing

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    GetUnitListPricing and Availability
    Example: 7192044
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    GetUnitListPricing and Availability
    Example: 4829103
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    MethodInterface
    GetUnitListPricing and Availability
    Example: 7192044
    x_floor_plan_idstring | nullnullablerequired

    The external ID of the floor plan from the integration vendor

    MethodInterface
    GetUnitListPricing and Availability
    Example: 15
    is_unitnullrequired

    True if the listing is for a unit, false if it is not associated with a specific unit

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    available_datestring | nullnullablerequired

    The date the listing is available

    MethodInterface
    GetUnitListPricing and Availability
    Example: 2024-07-01T00:00:00.000Z
    application_urlnullrequired

    The application URL for the listing

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    bathroomsstring | nullnullablerequired

    The number of bathrooms associated with the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: 2.5
    bathrooms_fullnumber | nullnullablerequired

    The number of full bathrooms associated with the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: 2
    bathrooms_halfnumber | nullnullablerequired

    The number of half bathrooms associated with the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: 1
    bedroomsstring | nullnullablerequired

    The number of bedrooms associated with the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: 2
    building_namenullrequired

    The building name associated with the listing

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    building_numberstring | nullnullablerequired

    The building number associated with the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: 2
    citystring | nullnullablerequired

    The city associated with the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: Austin
    countrystring | nullnullablerequired

    The country associated with the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: US
    custom_data object | nullrequired
    object
    deposit_amount_in_centsnumber | nullnullablerequired

    The deposit amount in cents associated with the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: 150000
    floor_plan_codestring | nullnullablerequired

    The external ID of the floor plan associated with the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: A2
    floor_plan_namestring | nullnullablerequired

    The floor plan name associated with the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: Two Bedroom
    floorstring | nullnullablerequired

    The floor number/name associated with the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: 2
    image_urlsnullrequired

    A list of image urls associated with the listing

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    is_availableboolean | nullnullablerequired

    Whether the listing is available

    MethodInterface
    GetUnitListPricing and Availability
    Example: true
    is_furnishednullrequired

    Whether the listing is furnished

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    is_listednullrequired

    Whether the listing is listed

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    is_managed_externalnullrequired

    Whether the listing is managed externally

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    is_vacantboolean | nullnullablerequired

    Whether the listing is vacant

    MethodInterface
    GetUnitListPricing and Availability
    lease_termstring | nullnullablerequired

    The term of the lease

    MethodInterface
    GetUnitListPricing and Availability
    Example: 12
    listing_titlenullrequired

    The title used for the marketing listing

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    listing_datestring | nullnullablerequired

    The date the listing was created

    MethodInterface
    GetUnitListPricing and Availability
    Example: 2024-06-01T00:00:00.000Z
    marketing_namenullrequired

    The marketing name of the unit being listed

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    notesnullrequired

    Notes associated with the listing

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    numberstring | nullnullablerequired

    The unit number

    MethodInterface
    GetUnitListPricing and Availability
    Example: 204
    rent_amount_in_centsnumber | nullnullablerequired

    The rent amount in cents for the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: 185000
    specialsnullrequired

    Marketing specials or promotions for the listing

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    square_feetinteger | nullnullablerequired

    The square footage of the listing

    MethodInterface
    GetUnitListPricing and Availability

    Possible values: >= 0

    Example: 842
    statestring | nullnullablerequired

    The state associated with the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: TX
    street_address_1string | nullnullablerequireddeprecated

    Deprecated: Use address_1

    MethodInterface
    GetUnitListPricing and Availability
    street_address_2string | nullnullablerequireddeprecated

    Deprecated: Use address_2

    MethodInterface
    GetUnitListPricing and Availability
    address_1string | nullnullablerequired

    The first address line associated with the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: 1842 Maple Ridge Drive
    address_2string | nullnullablerequired

    The second address line associated with the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: 1842 Maple Ridge Drive
    property_descriptionnullrequired

    Description of the property

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    short_descriptionnullrequired

    A short description of the listing

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    unit_descriptionnullrequired

    Description of the unit

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    zipstring | nullnullablerequired

    The zip code associated with the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: 78704
    make_ready_datestring | nullnullablerequired

    The make ready date of the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: 2024-06-28T00:00:00.000Z
    vacate_datestring | nullnullablerequired

    The vacate date of the listing

    MethodInterface
    GetUnitListPricing and Availability
    Example: 2024-06-15T00:00:00.000Z
    video_urlsnullrequired

    A list of video urls associated with the listing

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    status_rawnullrequired

    The raw status associated with the listing

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    MethodInterface
    GetUnitListPricing and Availability
    Example: cm0rpx0001exampleid000001
    floor_plan_idstring | nullnullablerequired

    The Propexo unique identifier for the floor plan

    MethodInterface
    GetUnitListPricing and Availability
    Example: cm7xvp5vb88803888363al35e7bse4z
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum20required

    The property management system of record

    Show 13 enum values
    REALPAGE_RPXAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGERENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: REALPAGE_RPX
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    unit_type_idnullrequired

    The Propexo unique identifier for the unit type

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/listings/
curl https://api.propexo.com/v1/listings/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "7192044",
"x_property_id": "4829103",
"x_unit_id": "7192044",
"x_floor_plan_id": "15",
"is_unit": null,
"available_date": "2024-07-01T00:00:00.000Z",
"application_url": null,
"bathrooms": "2.5",
"bathrooms_full": 2,
"bathrooms_half": 1,
"bedrooms": "2",
"building_name": null,
"building_number": "2",
"city": "Austin",
"country": "US",
"custom_data": "Unknown Type: object,null",
"deposit_amount_in_cents": 150000,
"floor_plan_code": "A2",
"floor_plan_name": "Two Bedroom",
"floor": "2",
"image_urls": null,
"is_available": true,
"is_furnished": null,
"is_listed": null,
"is_managed_external": null,
"is_vacant": true,
"lease_term": "12",
"listing_title": null,
"listing_date": "2024-06-01T00:00:00.000Z",
"marketing_name": null,
"notes": null,
"number": "204",
"rent_amount_in_cents": 185000,
"specials": null,
"square_feet": 842,
"state": "TX",
"address_1": "1842 Maple Ridge Drive",
"address_2": "1842 Maple Ridge Drive",
"property_description": null,
"short_description": null,
"unit_description": null,
"zip": "78704",
"make_ready_date": "2024-06-28T00:00:00.000Z",
"vacate_date": "2024-06-15T00:00:00.000Z",
"video_urls": null,
"status_raw": null,
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cm0rpx0001exampleid000001",
"floor_plan_id": "cm7xvp5vb88803888363al35e7bse4z",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "REALPAGE_RPX",
"x_location_id": null,
"unit_type_id": null
}
]
}